6.0.0-git
2021-01-19

[#5025] DB Error in horde_syncml_map where event_uid > 64 char
Summary DB Error in horde_syncml_map where event_uid > 64 char
Queue Synchronization
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester patrick.abiven (at) apitech (dot) fr
Created 2007-02-23 (5079 days ago)
Due
Updated 2008-04-04 (4673 days ago)
Assigned 2008-03-14 (4694 days ago)
Resolved 2008-04-04 (4673 days ago)
Milestone
Patch No

History
2008-04-04 14:35:38 Jan Schneider Comment #6
Assigned to Jan Schneider
State ⇒ Resolved
Reply to this comment
Done this way.
2008-03-14 13:43:10 Jan Schneider Comment #5
Taken from Karsten Fourmont
State ⇒ Feedback
Reply to this comment
I think the only viable solution would be to provide separate indexes 
for all columns.
2008-02-14 11:42:14 holger (dot) richter (at) klst (dot) com Comment #4 Reply to this comment
We have the same problem with kronolith 2.2-RC2.
2007-04-30 20:47:34 Chuck Hagenbuch State ⇒ Assigned
 
2007-04-02 15:21:07 patrick (dot) abiven (at) apitech (dot) fr Comment #3 Reply to this comment
Hello

This issue occurs when we are importing a Calendar .ics file coming 
from Microsoft Outlook.

In the .ics file, the UID field contains a long string and this UID 
will be used by Horde during the import.



UID:000000001043539B1694D21197500008C70998510700A129B1466193D211974E0008C709985100000000100C0000010135B21BBB164AAA2FE3BFEE4634F900000

02EFEEE0000



In Rfc2445 : "Implementations MUST be able to receive and persist 
values of at  least 255 characters for this property".

Regards

Patrick


2007-03-30 16:40:40 Karsten Fourmont State ⇒ Feedback
 
2007-03-30 16:39:57 Karsten Fourmont Comment #2 Reply to this comment
Can you provide an example for such a long ID?



I used only 64 byte length because there's an sql index on 
syncpartner+db+id in syncml_map and an index is restricted to 256 
bytes length in mysql.



What's the supposed maximum length for an ID?
2007-02-23 17:16:16 Chuck Hagenbuch Assigned to Karsten Fourmont
State ⇒ Assigned
 
2007-02-23 15:11:36 patrick (dot) abiven (at) apitech (dot) fr Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ DB Error in horde_syncml_map where event_uid > 64 char
Queue ⇒ Synchronization
Reply to this comment
Hello

The new version with horde_syncml_map table instead of horde_datatree 
greatly improves performances !



But synchronizing a calendar generates some DB Errors 'created Map for 
cuid=.... and suid=<more than 64 char>'

In kronolith_events, the field event_uid is defined as VARCHAR(255), 
but in the horde_syncmap_map, the field is defined as VARCHAR(64).



Regards

Patrick


Saved Queries